.popup {
    .modal__content {
        overflow: visible;
        max-height: 100%;
    }

    .popup__container {
        width: 100%;
    }

    .popup__content {
        display: flex;
        flex-direction: column;
        overflow: auto;
        max-height: 90vh;
    }

    .popup__header {
        flex: 0 0 auto;
        padding: 2.4rem 2.6rem 1.2rem;

        @include font-size-header-1;

        line-height: 3.6rem;
    }

    .popup__body {
        flex: 1 1 auto;
        padding: 1rem 2.6rem 0;
        font-size: 1.6rem;
        overflow: visible;
    }

    .prompt-input {
        margin-bottom: 2.4rem;
        margin-left: -0.6rem;
        margin-right: -0.6rem;

        &.popup__body--scrollable {
            border-top: 1px solid $color-border-light;
            border-bottom: 1px solid $color-border-light;
        }
    }

    .popup__actions {
        flex: 0 0 auto;
        padding: 1.2rem 2rem 0.8rem;
        display: flex;
        flex-wrap: wrap;
        flex-direction: row-reverse;

        .popup__btn-container {
            margin-left: 1.2rem;

            &:last-child {
                margin-left: 0;
            }

            > .btn {
                margin-bottom: 1.2rem;
            }
        }
    }

    .form__actions {
        padding-bottom: 0.8rem;
    }

    .progress-bar {
        margin-top: 0.6rem;
    }
}
